<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 10/7/2018
 * Time: 2:42 AM
 */
include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
        $condominioData = $Valido->retornarDatos($creadoPor);
        $condominio = $condominioData["condominio_id"];
        $quejas  = R::findAll( 'queja', ' id_condominio =:id_condominio AND estado =:estado',array('id_condominio' => $condominio, 'estado' => 1));
        foreach ($quejas as $valor) {
            $idame= $valor['id'];
            $idau= $valor['id_autor'];
            $quejas[$idame]['fecha_registro']=$Valido->time_elapsed_string($quejas[$idame]['fecha_registro']);
            $usuarionom = R::findOne('usuario', 'id = ?', [$idau]);
            $quejas[$idame]['autor']=$usuarionom['nombre'];
            $quejas[$idame]['autor_foto']=$usuarionom['foto_perfil'];
            $comentarios = R::findAll( 'comentarioqueja', 'id_queja = ?', [$idame]);
            foreach ($comentarios as $valor1){
                $idcom=$valor1['id'];
                $idau1= $valor1['id_autor'];
                $usuariocomentario = R::findOne('usuario', 'id = ?', [$idau1]);
                $comentarios[$idcom]['fecha_registro']=$Valido->time_elapsed_string($comentarios[$idcom]['fecha_registro']);
                $comentarios[$idcom]['autor']=$usuariocomentario['nombre'];
                $comentarios[$idcom]['autor_foto']=$usuariocomentario['foto_perfil'];
            }
            $quejas[$idame]['comentarios']=$comentarios;
        }
        include '../comun/mensajeOk.php';
        print_r(json_encode($quejas));
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}
